Merge "Airship: finalize update for CAPM3 v1a4 release"
authorFeruzjon Muyassarov <feruzjon.muyassarov@est.tech>
Wed, 29 Jul 2020 21:03:09 +0000 (21:03 +0000)
committerNordix Gerrit <gerrit@nordix.org>
Wed, 29 Jul 2020 21:03:09 +0000 (21:03 +0000)
14 files changed:
jjb/cloud-infra/engine-jobs/engine-verify-deploy-test.yaml
jjb/cloud-infra/engine-macros.yaml
jjb/cloud-infra/ironic-jobs/ironic-release-jobs.yaml
jjb/cloud-infra/ironic-jobs/ironic-verify-package.yaml
jjb/cloud-infra/ironic-jobs/ironic-verify-provision.yaml
jjb/cloud-infra/kubernetes-jobs/kubernetes-release-deploy-test.yaml
jjb/cloud-infra/kubernetes-jobs/kubernetes-verify-deploy-test.yaml
jjb/cloud-infra/onap-jobs/onap-verify-deploy-test.yaml
jjb/cloud-infra/openstack-jobs/openstack-release-deploy-test.yaml
jjb/cloud-infra/openstack-jobs/openstack-verify-deploy-test.yaml
jjb/cloud-infra/scripts/download-deploy-artifact.sh [moved from jjb/cloud-infra/scripts/download-artifact.sh with 100% similarity]
jjb/cloud-infra/scripts/download-functest-artifact.sh [new file with mode: 0755]
jjb/cloud-infra/scripts/download-yardstick-artifact.sh [new symlink]
jjb/onap/uds/scripts/collect-artifacts.sh

index 4daf2ef67e6c44dcdf7c62aeb9096b5fd0f5511f..164c6793245f6f63af6cb621b8b925c2753c7475 100644 (file)
     builders:
       - 'generate-ssh-keypair-macro'
       - 'wait-pkg-mgr-macro'
-      - 'download-artifact-macro'
+      - 'download-{phase}-artifact-macro'
       - '{phase}-macro'
index 32d44e033d0b7ddb00c195d2329e5359d2d9e354..9fe9404f64105614c832da38e728616793b99d3d 100644 (file)
           !include-raw: ./scripts/upload-artifact.sh
 
 - builder:
-    name: 'download-artifact-macro'
+    name: 'download-deploy-artifact-macro'
     builders:
       - shell:
-          !include-raw: ./scripts/download-artifact.sh
+          !include-raw: ./scripts/download-deploy-artifact.sh
+
+- builder:
+    name: 'download-functest-artifact-macro'
+    builders:
+      - shell:
+          !include-raw: ./scripts/download-functest-artifact.sh
+
+- builder:
+    name: 'download-yardstick-artifact-macro'
+    builders:
+      - shell:
+          !include-raw: ./scripts/download-yardstick-artifact.sh
 
 - builder:
     name: 'deploy-macro'
index 98370e940428b70d5b76ef9f4ea59f1c582ec615..0be5d003bf41662940ba6f08963eca57937bc218 100644 (file)
@@ -57,7 +57,7 @@
 
     disabled: '{obj:disabled}'
 
-    node: 'engine-package-{distro}-fra'
+    node: 'engine-package-ubuntu1804-fra'
 
     concurrent: false
 
     builders:
       - description-setter:
           description: provisioning
-      - 'download-artifact-macro'
+      - 'download-deploy-artifact-macro'
       - 'deploy-macro'
 
 # vim: set ts=2 sw=2 expandtab:
index bb2997c2fb70afc176d0e554e0517e09871bf0ae..bcb6a0d804b4cc6226aac97e2e760b9ca2f8a3fd 100644 (file)
@@ -49,7 +49,7 @@
 
     disabled: '{obj:disabled}'
 
-    node: 'engine-package-{distro}-fra'
+    node: 'engine-package-ubuntu1804-fra'
 
     concurrent: true
 
index 0522db204ffc9ec12653b892be8e324b1c8df603..84ee3eb549250803afd21fc49418198c8caa5adf 100644 (file)
@@ -86,7 +86,7 @@
           description: 'Distribution to use for configuring target nodes (networking etc.)'
       - label:
           name: SLAVE_LABEL
-          default: 'engine-{slave-type}-{environment-type}-{distro}-fra'
+          default: 'engine-{slave-type}-{environment-type}-ubuntu1804-fra'
           description: 'Slave label to schedule this job on.'
       - string:
           name: HW_TYPE
       - inject:
           properties-file: "$WORKSPACE/change.properties"
       - 'generate-ssh-keypair-macro'
-      - 'download-artifact-macro'
+      - 'download-deploy-artifact-macro'
       - 'wait-pkg-mgr-macro'
       - 'deploy-macro'
 
index f75b997e6a7fe089a6497b643701b8df1c78fd64..4ef9f6f8fbc886fea8e46c699d37105b0961e5cf 100644 (file)
     builders:
       - description-setter:
           description: $DEPLOY_SCENARIO
-      - 'download-artifact-macro'
+      - 'download-deploy-artifact-macro'
       - multijob:
           name: "Offline Deployment on Baremetal using {deploy-scenario}"
           condition: SUCCESSFUL
index 82626e274409bcf62e39225cc6a9859d41aaffb8..94318bc69cf1a8789931554987caf6f377512915 100644 (file)
     builders:
       - 'generate-ssh-keypair-macro'
       - 'wait-pkg-mgr-macro'
-      - 'download-artifact-macro'
+      - 'download-{phase}-artifact-macro'
       - '{phase}-macro'
index 610fb6352c12b71544bf3d519fdbeb05ce9de0dc..167bc7655fe144530bd28b19d2306601092b2c5f 100644 (file)
     builders:
       - 'generate-ssh-keypair-macro'
       - 'wait-pkg-mgr-macro'
-      - 'download-artifact-macro'
+      - 'download-{phase}-artifact-macro'
       - '{phase}-macro'
index b9e329cba0d0baf75bcd4ca8fb4be02def5aa2ca..08792ecf97966927b2b20695f78029e8136e4d5e 100644 (file)
     builders:
       - description-setter:
           description: $DEPLOY_SCENARIO
-      - 'download-artifact-macro'
+      - 'download-deploy-artifact-macro'
       - multijob:
           name: "Offline Deployment on Baremetal using {deploy-scenario}"
           condition: SUCCESSFUL
index deab833051408cc75f19a2806f4303e8ba7a573e..2ac2c5bf5fb9562c3c13fcba234169b88d9be000 100644 (file)
     builders:
       - 'generate-ssh-keypair-macro'
       - 'wait-pkg-mgr-macro'
-      - 'download-artifact-macro'
+      - 'download-{phase}-artifact-macro'
       - '{phase}-macro'
diff --git a/jjb/cloud-infra/scripts/download-functest-artifact.sh b/jjb/cloud-infra/scripts/download-functest-artifact.sh
new file mode 100755 (executable)
index 0000000..24d266a
--- /dev/null
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 The Nordix Foundation. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+set -o nounset
+set -o errexit
+
+echo "Info  : Testing of offline deployments is not currently supported! Skipping artifact download"
+
+# vim: set ts=2 sw=2 expandtab:
diff --git a/jjb/cloud-infra/scripts/download-yardstick-artifact.sh b/jjb/cloud-infra/scripts/download-yardstick-artifact.sh
new file mode 120000 (symlink)
index 0000000..9d2c82e
--- /dev/null
@@ -0,0 +1 @@
+download-functest-artifact.sh
\ No newline at end of file
index 3cc778e9645626f9337549b22fe69b7b609582be..20bb3eed012284a6b10a32a00cdcb49c0d46f412 100644 (file)
@@ -27,12 +27,13 @@ mkdir -p $ARTIFACT_DIRECTORY
 # Ensure at root of $WORKSPACE
 cd $WORKSPACE
 
-# For each file artifact create a reference in ARTIFACT_DIRECTORY
-# uses softlinks in order to save space and time
-# ARTIFACT_DIRECTORY contents will be pushed to Artifactory
+# For each file artifact create a copy in ARTIFACT_DIRECTORY
+# ARTIFACT_DIRECTORY's contents will be pushed to Artifactory
+# Required because artifacts in target directories will be deleted during a mvn clean
+# which is done before archiving the source repos in order limit file size
 for ARTIFACT in $ARTIFACT_PATHS
 do
-  # Check if file exists before creating a softlink
+  # Check if file exists before copying
   if [ ! -f "$ARTIFACT" ]; then
     echo "$ARTIFACT does not exist."
     exit 1
@@ -41,7 +42,7 @@ do
   echo "----------------------------------------------------"
   echo "Info: Copy $ARTIFACT into $ARTIFACT_DIRECTORY"
   echo "----------------------------------------------------"
-  ln -sf $WORKSPACE/$ARTIFACT $ARTIFACT_DIRECTORY
+  cp $WORKSPACE/$ARTIFACT $ARTIFACT_DIRECTORY
 done
 
 cd $ARTIFACT_DIRECTORY